Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451616 - prlink.h gives warning with -Wstrict-prototypes
Summary: prlink.h gives warning with -Wstrict-prototypes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nspr
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Elio Maldonado Batiz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 624374
TreeView+ depends on / blocked
 
Reported: 2008-06-16 08:04 UTC by Dan Horák
Modified: 2010-09-28 16:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 624374 (view as bug list)
Environment:
Last Closed: 2009-01-09 06:36:21 UTC


Attachments (Terms of Use)
test case (deleted)
2008-06-16 08:04 UTC, Dan Horák
no flags Details
patch to remove the warnings (deleted)
2008-06-16 08:08 UTC, Dan Horák
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 410677 None None None Never

Description Dan Horák 2008-06-16 08:04:25 UTC
Description of problem:
Using nspr header gives a warning in the prlink.h file when -Wstrict-prototypes
is included in the CFLAGS. And when -Werror is used, then it is not possible to
compile at all.

Version-Release number of selected component (if applicable):
nspr-devel-4.6.7-3.fc8
but the header was not changed since Apr/06/2006, so all current Fedora and RHEL
versions are affected.

How reproducible:
100%

Steps to Reproduce:
1. run the script from attachments
  
Actual results:
In file included from /usr/include/nspr4/nspr.h:55,
                 from nspr-test.c:2:
/usr/include/nspr4/prlink.h:52: warning: function declaration isn’t a prototype
/usr/include/nspr4/prlink.h:209: warning: function declaration isn’t a prototype


Expected results:
No warnings

Additional info:
There was a thread in gcc mailing list about the meaning of the warning -
http://gcc.gnu.org/ml/gcc-help/2006-07/msg00033.html

Comment 1 Dan Horák 2008-06-16 08:04:25 UTC
Created attachment 309468 [details]
test case

Comment 2 Dan Horák 2008-06-16 08:08:50 UTC
Created attachment 309471 [details]
patch to remove the warnings

Comment 3 Kai Engert (:kaie) (inactive account) 2008-07-01 13:33:41 UTC
Wan-Teh, what do you think about the proposed patch?

I should probably file an upstream bug.


Comment 4 Bug Zapper 2008-11-26 10:52:33 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-01-09 06:36:21 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Elio Maldonado Batiz 2010-08-16 14:40:02 UTC
See https://bugzilla.mozilla.org/show_bug.cgi?id=410677
When we next re-base to NSPR 4.8.6 we will pick-up the fix.


Note You need to log in before you can comment on or make changes to this bug.